- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QGLFramebufferObjectFormat Class Reference

Search for all occurrences

## Detailed Description

Definition at line 140 of file qglframebufferobject.h.

`#include <qglframebufferobject.h>`

List of all members.

## Public Member Functions
| QGLFramebufferObjectFormat ()
| QGLFramebufferObjectFormat (const QGLFramebufferObjectFormat &other)
QGLFramebufferObjectFormat & | operator= (const QGLFramebufferObjectFormat &other)
| ~QGLFramebufferObjectFormat ()
void | setSamples (int samples)
int | samples () const
void | setAttachment (QGLFramebufferObject::Attachment attachment)
QGLFramebufferObject::Attachment | attachment () const
void | setTextureTarget (GLenum target)
GLenum | textureTarget () const
void | setInternalTextureFormat (GLenum internalTextureFormat)
GLenum | internalTextureFormat () const
bool | operator== (const QGLFramebufferObjectFormat &other) const
bool | operator!= (const QGLFramebufferObjectFormat &other) const

## Constructor & Destructor Documentation

QGLFramebufferObjectFormat | ( |  | ) |

QGLFramebufferObjectFormat | ( | const QGLFramebufferObjectFormat & | other | ) |

~QGLFramebufferObjectFormat | ( |  | ) |

## Member Function Documentation

QGLFramebufferObjectFormat& operator= | ( | const QGLFramebufferObjectFormat & | other | ) |

void setSamples | ( | int | samples | ) |

Search for all occurrences

int samples | ( |  | ) | const

Search for all occurrences

void setAttachment | ( | QGLFramebufferObject::Attachment | attachment | ) |

Search for all occurrences

QGLFramebufferObject::Attachment attachment | ( |  | ) | const

Search for all occurrences

void setTextureTarget | ( | GLenum | target | ) |

Search for all occurrences

GLenum textureTarget | ( |  | ) | const

Search for all occurrences

void setInternalTextureFormat | ( | GLenum | internalTextureFormat | ) |

Search for all occurrences

GLenum internalTextureFormat | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QGLFramebufferObjectFormat & | other | ) | const

bool operator!= | ( | const QGLFramebufferObjectFormat & | other | ) | const

The documentation for this class was generated from the following file:

- QtOpenGL/qglframebufferobject.h

QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat
QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat QGLFramebufferObjectFormat